datacache <- new.env(hash=TRUE, parent=emptyenv())

rattoxfxrnug <- function() showQCData("rattoxfxrnug", datacache)
rattoxfxrnug_dbconn <- function() dbconn(datacache)
rattoxfxrnug_dbfile <- function() dbfile(datacache)
rattoxfxrnug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rattoxfxrnug_dbInfo <- function() dbInfo(datacache)

rattoxfxrnugORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rattoxfxrnug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "rattoxfxrnug", "chip rattoxfxrnug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rattoxfxrnug_dbconn())
}

